package com.yc.ship.module.marketing.enums.common;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@RequiredArgsConstructor
@Getter
public enum EnableStateEnum implements IntArrayValuable {
    ENABLE(0, "启用"),
    DISABLE(1, "禁用");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(EnableStateEnum::getType).toArray();

    private final int type;
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
